Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface ILocalSiteChangedListener

public interface ILocalSiteChangedListener

Local site change listener.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` | `currentInstallConfigurationChanged(IInstallConfiguration configuration)` Indicates the current configuration has changed.
`void` | `installConfigurationRemoved(IInstallConfiguration configuration)` Indicates the specified configuration was removed.

Method Detail

### currentInstallConfigurationChanged

    public void currentInstallConfigurationChanged(IInstallConfiguration configuration)

  Indicates the current configuration has changed.

  Parameters:
    `configuration` - the current cunfiguration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### installConfigurationRemoved

    public void installConfigurationRemoved(IInstallConfiguration configuration)

  Indicates the specified configuration was removed.

  Parameters:
    `configuration` - the configuration
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.